Loading...
Searching...
No Matches
Catch::TestInvokerAsMethod< C > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::TestInvokerAsMethod< C >:
[legend]
Collaboration diagram for Catch::TestInvokerAsMethod< C >:
[legend]

## Public Member Functions

constexpr | TestInvokerAsMethod (void(C::*testAsMethod)()) noexcept
void | invoke () const override
Public Member Functions inherited from Catch::ITestInvoker
virtual void | prepareTestCase ()
virtual void | tearDownTestCase ()
virtual | ~ITestInvoker ()

## Private Attributes

void(C::* | m_testAsMethod )()

## Constructor & Destructor Documentation

## TestInvokerAsMethod()

template<typename C>

Catch::TestInvokerAsMethod< C >::TestInvokerAsMethod | ( | void(C::* | testAsMethod )() | ) |

inlineconstexprnoexcept

## Member Function Documentation

## invoke()

template<typename C>

void Catch::TestInvokerAsMethod< C >::invoke | ( |  | ) | const

inlineoverridevirtual

Implements Catch::ITestInvoker.

## Member Data Documentation

## m_testAsMethod

template<typename C>

void(C::* Catch::TestInvokerAsMethod< C >::m_testAsMethod) ()

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp